Win a copy of The Little Book of Impediments (e-book only) this week in the Agile and Other Processes forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Applet (java2d) loading problem in IE5

 
Kedar Nirokhekar
Greenhorn
Posts: 11
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all,
I am trying to port my java1.1.x applet to java1.2 but not swing.
I am getting some errors while loading the applet.The applet is giving problem at BufferedImage class.
The exception given on the java console is as follows :
Exception occurred during event dispatching:
java.lang.NoSuchMethodError: java/awt/image/ColorModel: method loadLibraries()V not found
at java/awt/image/BufferedImage.<clinit>
at ImageTool.rotateImage
at ImageTool.rotateClockwise
at ContextButtonPanel.processButtonClicked
at ContextButton.performClickedAction
at ImageButton$2.mouseReleased
at java/awt/AWTEventMulticaster.mouseReleased
at java/awt/Component.processMouseEvent
at java/awt/Component.processEvent
at java/awt/Component.dispatchEventImpl
at java/awt/Component.dispatchEvent
at java/awt/EventDispatchThread.run
Can any body suggest me what is the problem and how it can be resolved.
Thanking in advance.
Regards,
Kedar
 
Manfred Leonhardt
Ranch Hand
Posts: 1492
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Kedar,
IE (>= 5.0) and Netscape (>= 6) bo longer support java. Older browsers of each only support some version of 1.1.x.
Since you are using Java 2 you will need to download the Java 2 pluggin from here.
Regards,
Manfred.
 
Nathan Pruett
Bartender
Posts: 4121
IntelliJ IDE Java Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
According to Netscape's website they included Java in 6.1 and 6.2 ( newest version )... It doesn't say if they are just using the Java 2 Plugin, or if they have a browser JVM to do this, though...

-Nate
 
Manfred Leonhardt
Ranch Hand
Posts: 1492
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Nathan,
I tried 6.0 and it doesn't include any java. No pluggin - no applet regardless of version. They must have done something about it for 6.1 and beyond.
Regards,
Manfred.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic